%define _pkgname code-bin
Name:          visual-studio-code-bin
Version:       1.96.4
Release:       1mamba
Summary:       Visual Studio Code: a lightweight but powerful source code editor which runs on your desktop (official binary distribution)
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.visualstudio.com/
Source0:       code_x64_%{version}.tar.gz
Source1:       code_arm64_%{version}.tar.gz
Source2:       visual-studio-code-bin-autoupdate
Source3:       visual-studio-code-bin.desktop
Source4:       visual-studio-code-url-handler.desktop
Source5:       visual-studio-code-workspace.xml
Source6:       visual-studio-code-bin.sh
License:       Distributable
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libmesa-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Provides:      code-bin
Obsoletes:     code-bin <= 1.81.1

%description
Visual Studio Code is a lightweight but powerful source code editor which runs on your desktop and is available for Windows, macOS and Linux. It comes with built-in support for JavaScript, TypeScript and Node.js and has a rich ecosystem of extensions for other languages and runtimes (such as C++, C#, Java, Python, PHP, Go, .NET).

%global __requires_exclude ^libffmpeg.so.*$
%global __provides_exclude_from ^%{_datadir}/code-bin/.*$


%prep
%setup -q -c -T

%ifarch x86_64
tar xf %{SOURCE0}
%endif

%ifarch aarch64
tar xf %{SOURCE1}
%endif

mv VSCode-linux-*/* .

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m644 resources/app/resources/linux/code.png %{buildroot}%{_datadir}/icons/%{_pkgname}.png
install -D -m644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{_pkgname}.desktop
install -D -m644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{_pkgname}-url-handler.desktop
install -D -m644 %{SOURCE5} %{buildroot}%{_datadir}/mime/packages/%{_pkgname}-workspace.xml
install -D -m644 resources/completions/bash/code %{buildroot}%{_datadir}/bash-completion/completions/code
install -D -m644 resources/completions/zsh/_code %{buildroot}%{_datadir}/zsh/site-functions/_code

install -d -m0755 %{buildroot}%{_datadir}/%{_pkgname}
cp -r * %{buildroot}%{_datadir}/%{_pkgname}

# Launcher
install -D -m755 %{SOURCE6} %{buildroot}%{_bindir}/code
	
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/code
%{_datadir}/applications/%{_pkgname}-url-handler.desktop
%{_datadir}/applications/%{_pkgname}.desktop
%{_datadir}/mime/packages/%{_pkgname}-workspace.xml
%dir %{_datadir}/%{_pkgname}
%dir %{_datadir}/%{_pkgname}/bin
%{_datadir}/%{_pkgname}/bin/code*
%{_datadir}/%{_pkgname}/chrome*
%{_datadir}/%{_pkgname}/code
%{_datadir}/%{_pkgname}/icudtl.dat
%{_datadir}/%{_pkgname}/lib*.so*
%{_datadir}/%{_pkgname}/resources.pak
%dir %{_datadir}/%{_pkgname}/locales
%{_datadir}/%{_pkgname}/locales/*
%dir %{_datadir}/%{_pkgname}/resources
%{_datadir}/%{_pkgname}/resources/*
%{_datadir}/%{_pkgname}/snapshot_blob.bin
%{_datadir}/%{_pkgname}/v8_context_snapshot.bin
%{_datadir}/%{_pkgname}/vk_swiftshader_icd.json
%{_datadir}/%{_pkgname}/LICENSES.chromium.html
%{_datadir}/bash-completion/completions/code
%{_datadir}/zsh/site-functions/_code
%{_datadir}/icons/%{_pkgname}.png
%doc resources/app/LICENSE.rtf

%changelog
* Fri Jan 31 2025 Automatic Build System <autodist@mambasoft.it> 1.96.4-1mamba
- automatic version update by autodist

* Sat Jan 04 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96.2-2mamba
- fix excluding internal libraries from provides

* Fri Dec 20 2024 Automatic Build System <autodist@mambasoft.it> 1.96.2-1mamba
- automatic version update by autodist

* Fri Dec 06 2024 Automatic Build System <autodist@mambasoft.it> 1.95.3-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@mambasoft.it> 1.95.2-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@mambasoft.it> 1.94.2-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@mambasoft.it> 1.93.1-1mamba
- automatic version update by autodist

* Tue Aug 20 2024 Automatic Build System <autodist@mambasoft.it> 1.92.2-1mamba
- automatic version update by autodist

* Thu Jul 11 2024 Automatic Build System <autodist@mambasoft.it> 1.91.0-1mamba
- automatic version update by autodist

* Thu Jun 27 2024 Automatic Build System <autodist@mambasoft.it> 1.90.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@mambasoft.it> 1.89.1-1mamba
- automatic version update by autodist

* Thu Apr 18 2024 Automatic Build System <autodist@mambasoft.it> 1.88.1-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@mambasoft.it> 1.87.2-1mamba
- automatic version update by autodist

* Sat Feb 17 2024 Automatic Build System <autodist@openmamba.org> 1.86.2-1mamba
- automatic version update by autodist

* Fri Dec 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.85.1-1mamba
- update to 1.85.1

* Fri Nov 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.84.2-1mamba
- update to 1.84.2

* Tue Oct 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.83.1-1mamba
- update to 1.83.1

* Mon Sep 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.82.2-1mamba
- update to 1.82.2

* Wed Aug 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.81.1-1mamba
- update to 1.81.1

* Fri Jun 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.79.0-1mamba
- update to 1.79.0

* Fri May 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.78.0-1mamba
- update to 1.78.0

* Tue Jan 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.74.3-1mamba
- update to 1.74.3

* Thu Sep 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.71.0-1mamba
- package created using the webbuild interface
